<?php

//편집되서 넘어온 첫라인(타이틀) 배열을 삭제함
unset($_POST['data'][key($_POST['data'])]);

echo "<pre>";
print_r($_POST);
echo "</pre>";

foreach($_POST['data'] as $key => $item){


    $where_field = array_slice($_POST['select_field'], -2);
    $values = "";

    //입력 데이터 만들기
    foreach($_POST['select_field'] as $idx => $field) {
        //필드 셀렉트가 null 아닌것만
        if($field != 'null') {
            //데이터 사이 쉼표 넣기
            if ($values != '') { $values .= ","; }
            //필드 값 추가
            $values .= $field . '="' . $item[$idx] . '"';
        }
    }
    //Where 필드 가져오기
    echo $values."<Br>";

    $where = "";
    foreach($where_field as $idx => $field) {
        if ($where != '') { $where .= " and "; }
        $where .= $field . '="' . $item[$idx] . '"';
    }
    $where = "where ".$where;
    echo $where."<br>";
}
?>